var Loader = {

    onLoad : function(){},

    onReady : function(){},

    init : function(container) {
    },

    handlerError : function(e) {
        alert(e);
    },
    ver : 1,
    /**
     * event register
     * @param string evt  event name
     * @param function handler
     */
    on : function(evt, handler) {
        switch ( evt.toLowerCase() ) {
            case 'load' :
                this.onLoad = handler;
                break;
            case 'ready' :
                this.onReady = handler;
                break;
            default :
                break;
        }
        return true;
    },
    /**
     * private method
     */
    _load : function(path, callback) {
        try {
            var script = document.createElement('script');
            script.src = path;
            script.type = "text/javascript";
            document.getElementsByTagName("head")[0].appendChild(script);
            if( script.addEventListener ) {
                script.addEventListener("load", callback, false);
            } else if(script.attachEvent) {
                script.attachEvent("onreadystatechange", function(){
                    if(script.readyState == 4
                        || script.readyState == 'complete'
                        || script.readyState == 'loaded') {
                        callback();
                    }
                });
            }
        } catch(e) {
            this.handlerError(e);
            callback();
        }
    },
    /**
     * start loding process
     * @param array scripts  files want to be loaded
     */
    load : function(scripts) {
        var total = scripts.length;
        var _self  = this;
        
        var indicator = arguments[1] || 0;
        if ( indicator >= total ) {
            _self.onReady();
            //console.debug("load true");
            return true;
        }

        var callee = arguments.callee;
        var script = scripts[indicator];
        this._load(script, function() {
            showTips(indicator,jsArray.length);
            _self.onLoad(script);
            callee.apply(_self, [scripts, ++indicator]);

        });
        return true;
    }
};
////
Loader.onReady = function(){
    showTips(jsArray.length,jsArray.length);
    game.onReady();
};
Loader.ver = 1210;
var jsArray = [
    'js/jq.mobi.min.js',
    'js/uc.base-1.0.0.min.js',
    'js/Map.min.js',
    'js/Group.min.js',
    'js/Matrix2D.min.js',
    'js/FightController.min.js',
    'js/DataManager.min.js',
    'js/game.js',
    'js/PopContainer.min.js',
    'js/JsonLoader.min.js',
    'js/Logo.min.js',
    'js/ChooseUrl.min.js',
    'js/GameStart.min.js',
    'js/AnimationStr.min.js',
    "js/GameDict.min.js",
    "js/GameMissionDict.min.js",
    'js/drawable.min.js',
    'views/animation/AnimationData.min.js',
    'js/AnimClip.min.js',
    'js/DomUtil.min.js',
    'js/DrawEffect.min.js',
    'js/FightInfo.min.js',
    'js/round.min.js',
    'js/cards.min.js',
    'js/ViewLayer.min.js',
    'js/ImageLayer.min.js',
    'js/openAni.min.js',
    'js/player.min.js',
    'views/Fight.min.js',
    'views/StateGroup.min.js',
    'js/BitmapCache.min.js',
    'js/H5GameClient.min.js',
    'views/BitmapLoader.min.js',
    'views/animation/tl.min.js',
    //'views/animation/xh.min.js',
    //'views/animation/xm.min.js',
    'views/model/TileLayout.min.js',
    'views/model/ArrayUtil.min.js',
    'views/model/BitmapText.min.js',
    'views/model/BitmapEffect.min.js',
    'js/BitmapFactory.min.js',
    'views/Main.min.js',
    'views/Mission.min.js',
    'views/DefendMission.min.js',
    'views/Evolution.min.js',
    'views/CardInfo.min.js',
    'views/Evolve.min.js',
    'views/MissionItem.min.js',
    'views/Formation.min.js',
    'views/FormationDefend.min.js',
    'views/Other.min.js',
    'views/HeroInfo.min.js',
    'js/assets.min.js',
    'views/EvolveCard.min.js',
    'views/LevelUp.min.js',
    'views/LevelupCard.min.js',
    'views/LevelupSwallow.min.js',
    'views/CaptainSkill.min.js',
    'views/Bag.min.js',
    'views/Bag_Equip.min.js',
    'views/Bag_Card.min.js',
    'views/Bag_Chip.min.js',
    'views/Gift.min.js',
    'views/CardCaptainView.min.js',
    'views/CardGeneralView.min.js',
    'views/ShopView.min.js',
    'views/FriendReward.min.js',
    'views/StoneDraw.min.js',
    'views/FightReward.min.js',
    'views/AddFriend.min.js',
    'views/MyFriend.min.js',
    'views/CardTaskView.min.js',
    'views/FriendInfo.min.js',
    'views/AddApplyFriends.min.js',
    'views/CardSetView.min.js',
    'views/Warrior.min.js',
    'views/MyPrecious.min.js',
    'views/TaskView.min.js',
    'views/PassVideo.min.js',
    'views/Activity.min.js',
    'views/ActivityMiss.min.js',
    'views/MissionPk.min.js',
    'views/MissionPkInfo.min.js',
    'views/MissionGo.min.js',
    'views/LoserPkInfo.min.js',
    'views/MissionWujiang.min.js',
    'views/drawConvert.min.js',
    'views/FriendPop.min.js',
    'views/ShopToken.min.js',
    'views/ExtendArry.min.js',
    'views/Extend.min.js',
    'views/BabyFenJie.min.js',
    'views/FightGod.min.js',
    'views/FightOpenGod.min.js',
    'views/GodUp.min.js',
    'views/pvp/Battlefield.min.js',
    'views/pvp/FightAttacker.min.js',
    'views/pvp/FightDefender.min.js',
    'views/pvp/ChooseSoldier.min.js',
    'views/pvp/ChooseSoider.min.js',
    'views/pvp/ChooseAttacker.min.js',
    'views/pvp/ChooseGodFight.min.js',
    'views/pvp/ChooseTalker.min.js',
    'views/pvp/ChooseFarmer.min.js',
    'views/pvp/ChooseDefender.min.js',
    'views/pvp/FightRecruit.min.js',
    'views/pvp/FightFarming.min.js',
    'views/pvp/FightOne.min.js',
    'views/pvp/FightRandom.min.js',
    'views/pvp/FightVideo.min.js',
    'views/pvp/FightVideoDef.min.js',
    'views/pvp/FightDefenderInfo.min.js',
    'views/pvp/MeetTaker.min.js',
    'views/pvp/MeetFarmer.min.js',
    'views/pvp/AdultInfo.min.js',
    'views/pvp/ChooseCity.min.js',
    'views/pvp/RankInfo.min.js',
    'views/pvp/RankCityInfo.min.js',
    'views/pvp/MeetSoider.min.js',
    'views/pvp/RankKillCity.min.js',
    'views/pvp/Rank.min.js',
    'views/pvp/RankHero.min.js',
    'views/pvp/TalkInfo.min.js',
    'views/pvp/nongTian.min.js',
    'views/pvp/Sousuo.min.js',
    'views/FightGodReady.min.js',
    'playermodel/Card.min.js',
    'playermodel/Convert.min.js',
    'playermodel/Precious.min.js',
    'playermodel/ExpCard.min.js',
    'playermodel/Equips.min.js',
    'playermodel/Friend.min.js',
    'playermodel/Chip.min.js',
    'playermodel/Page.min.js',
    'playermodel/Test_Warrior.min.js',
    'playermodel/Test_levelupS.min.js',
    'playermodel/Test_BagCard.min.js',
    'playermodel/Test_CaptainView.min.js',
    'playermodel/Test_Myfriend.min.js',
    'playermodel/Test_GoOut.min.js',
    'playermodel/Test_Talker.min.js',
    'playermodel/Test_Farmer.min.js',
    'playermodel/Test_Attacker.min.js',
    'playermodel/Test_Video.min.js',
    'playermodel/Test_Adult.min.js',
    'playermodel/Test_RandomCard.min.js',
    'playermodel/Test_Rank.min.js',
    'playermodel/Test_RankCity.min.js',
    'playermodel/Test_RankKillCity.min.js',
    'playermodel/Test_RankHero.min.js',
    'playermodel/Test_BagEquip.min.js',
    'playermodel/Test_Soider.min.js',
    'playermodel/Test_Defender.min.js',
    'playermodel/Test_RecomFriend.min.js',
    'playermodel/Test_Precious.min.js',
    'playermodel/Test_corpList.min.js',
    'playermodel/Test_area.min.js',
    'playermodel/Text_MissionWujiang.min.js',
    'playermodel/Test_MissionPkInfo.min.js',
    'playermodel/Test_MissionPk.min.js',
    'playermodel/Test_drawConvert.min.js',
    'playermodel/Test_ChatView.min.js',
    'playermodel/Test_CorpsBarn.min.js',
    'playermodel/Nixie.min.js',
    'playermodel/Test_ExtendArry.min.js',
    'playermodel/Test_BabyFenJie.min.js',
    'views/FightRewardNewCard.min.js',
    'views/recommendFriend.min.js',
    'views/Corps/CorpMain.min.js',
    'views/Corps/CorpList.min.js',
    'views/Corps/CorpAppList.min.js',
    'views/Corps/CorpNumber.min.js',
    'views/Corps/CorpNumberInfo.min.js',
    'views/Corps/CorpRank.min.js',
    'views/CorpsBarn/BarnMain.min.js',
    'views/CorpsBarn/BarnLevelList.min.js',
    'views/CorpsBarn/BarnApplyCorps.min.js',
    'views/CorpsBarn/BarnFight.min.js',
    'views/CorpsBarn/BarnChooseFighter.min.js',
    'views/CorpsBarn/BarnFormation.min.js',
    'views/CorpsBarn/BarnCheckResult.min.js',
    'views/CorpsBarn/BarnGetReward.min.js',
    'views/ActivityTime.min.js',
    'views/Exchange.min.js',
    'views/balanceFight.min.js',
    'views/chatView.min.js',
    'views/LoserCounterattack.min.js',
    'views/DayReward.min.js',
    'views/FormationGod.min.js',
    'views/FightGodWin.min.js',
    'Newbie/Newbie1.min.js',
    'Newbie/Newbie2.min.js',
    'Newbie/Newbie3.min.js',
    'Newbie/Newbie4.min.js',
    'Newbie/Newbie5.min.js',
    'Newbie/Newbie6.min.js',
    'Newbie/Newbie7.min.js',
    'Newbie/Newbie8.min.js',
    'Newbie/Newbie9.min.js',
    'Newbie/Newbie10.min.js',
    'Newbie/Newbie11.min.js',
    'Newbie/Newbie12.min.js',
    'Newbie/Newbie13.min.js',
    'Newbie/Newbie14.min.js',
    'Newbie/Newbie15.min.js',
    'Newbie/Newbie16.min.js',
    'Newbie/Newbie17.min.js',
    'Newbie/Newbie18.min.js',
    'Newbie/Newbie19.min.js',
    'Newbie/Newbie20.min.js',
    'Newbie/Newbie21.min.js',
    'Newbie/Newbie22.min.js',
    'views/Help/Help1.min.js',
    'views/Help/Help2.min.js',
    'js/asset2.min.js',
    'js/ToolsBox.min.js',
    'extLib/UObserver.min.js',
    'extLib/soundjs-0.4.1.min.js',
    'extLib/Swipe.min.js',
    'extLib/iScroller.min.js'
];

Loader.load(jsArray);
var showTips = function(curNum,totalNum){
    var tips = document.getElementById("loading2");
    //var bar = document.getElementById("loadingbar");
    //bar.style.width = (curNum+1)*100 / (totalNum) + "%";
    tips.innerHTML = "                         游戏初始化中： "+parseInt((curNum+1)*100 / (totalNum)) + "%";
    //console.log("游戏脚本下载中:" + curNum + ":" +totalNum);
};
